#include "CheckerPosition.h"
#include "CheckerConsts.h"
#include <iostream>

CheckerPosition::CheckerPosition(int x, int y) : x(x), y(y) {}

CheckerPosition::CheckerPosition(std::string pos) {
    x = pos[0] - 'A';
    y = pos[1] - '1';
}

std::string CheckerPosition::to_string() const {
    return std::string(1, 'A' + x) + std::to_string(y + 1);
}

bool CheckerPosition::isValid() const {
    return x >= 0 && x < BOARD_SIZE && y >= 0 && y < BOARD_SIZE;
}

std::string CheckerPosition::to_num_string() const
{
    return "(" + std::to_string(x) + ", " + std::to_string(y) + ")";
}